The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Blocked Hashes

Prev Next

This URL gets the list of blocked hashes.

Resource URL

GET / advancedmalware/blockedhashes?search=<search_string>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
Search Search string String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
blockedHashList List of blocked hashes Array

Details of blockedHashList:

Field Name Description Data Type
filehash File hash String
fileName File name String
lastUpdated Last updated details. Contains the username and the time under which the file hash was added. String
comment Comment String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi%20advancedmalware/blockedhashes

Response

{   
 
"blockedHashList": [

{ 
"fileHash":"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa16", "fileName":"file1", 
“lastUpdated”: “2018-01-17 20:30:34.0 (Administrator)”
"comment":"Blocked based on user request "},

{ 
"fileHash":"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa18",   "fileName":"file2", 
“lastUpdated”: “2018-01-17 20:35:36.0 (Administrator)”
"comment":"Blocked based on user request "},
]}

}
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 4904 Failed to retrieve data